Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
sauce::internal::ImplicitBinding< Dependency > Class Template Reference

Attempts to supply a Binding when the given Dependency is not found. More...

`#include <sauce/internal/implicit_bindings.h>`

## Public Types
typedef sauce::shared_ptr< ResolvedBinding< Dependency > > | BindingPtr

## Static Public Member Functions
static BindingPtr | get (Concrete const &, std::string const name)
| Attempt to supply an unknown providing Binding at injection time.

## Detailed Description

### template<typename Dependency>
class sauce::internal::ImplicitBinding< Dependency >

Attempts to supply a Binding when the given Dependency is not found.

The documentation for this class was generated from the following file:

- sauce/internal/implicit_bindings.h